2

I have IDA Pro 7.4 that use with Python 3.7 and I have some IDA-plugin that works only with Python 2.7.

Is there any way to run that Python 2.7 based plugin?

3

1 Answer 1

1

You can't use Python 3 and Python 2 in IDA simultaneously, but you could switch between them by following instructions in README_python3.txt until IDA 8.0, which dropped Python 2 support.

3
  • github.com/idapython/src/blob/master/README_python3.txt
    – E235
    Commented Sep 25, 2020 at 14:35
  • @igor Are you sure that this will work? Because when i run idapythonswitch, it doesn't detect my python2, and that readme says its only for python3.. and the force path requires a python3.dll which that or python2.dll are not present in python2. It gives this error "Cannot determine python library version for "C:\Python27": No "python3.dll" "
    – OneAndOnly
    Commented Mar 29, 2023 at 16:48
  • @OneAndOnly Python 2 support has been removed in IDA 8.0. In theory, you can try building an old version of IDAPython with Python 2 support but I don't know if it will work with 8.x.
    – Igor Skochinsky
    Commented Mar 30, 2023 at 10:31

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.